### File

`src/pagination/pagination-model.class.ts`

### Index

###### Properties
currentPage pageLength totalDataLength

### Properties

currentPage
`currentPage: `number``
Type : `number`
Default value : `1`
Defined in src/pagination/pagination-model.class.ts:5
Tracks the current page.

pageLength
`pageLength: `number``
Type : `number`
Default value : `10`
Defined in src/pagination/pagination-model.class.ts:10
Length of page.

totalDataLength
`totalDataLength: `number``
Type : `number`
Default value : `0`
Defined in src/pagination/pagination-model.class.ts:15
Absolute total number of items needed to paginate.

    export class PaginationModel {
    	/**
    	 * Tracks the current page.
    	 */
    	currentPage = 1;

    	/**
    	 * Length of page.
    	 */
    	pageLength = 10;

    	/**
    	 * Absolute total number of items needed to paginate.
    	 */
    	totalDataLength = 0;
    }

# result-matching ""

# No results matching ""